#!/bin/sh
cd "$(dirname "$0")"

set -e

build() {
    make -C ../../../synit-pid1 $1-binary-release 2>&1 | tee buildlog.$1
    cp -p ../../../synit-pid1/target/$1-*/release/synit-pid1 synit-pid1.$1
}

build x86_64 &
build armv7 &
build aarch64 &
wait
