#!/bin/sh
cd "$(dirname "$0")"

set -e

build() {
    make -C ~/src/syndicate-rs $1-binary-release 2>&1 | tee buildlog.$1
    cp -p ~/src/syndicate-rs/target/$1-*/release/syndicate-server syndicate-server.$1
}

cp -r ~/src/syndicate-rs/syndicate-server/protocols .
build x86_64 &
build armv7 &
build aarch64 &
wait
